Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dorgrq

scipy.linalg.lapack.dorgrq(a, tau[, lwork, overwrite_a]) = <fortran function dorgrq>

  Wrapper for `dorgrq`.

  Parameters:
    a input rank-2 array(‘d’) with bounds (m,n)
    tau input rank-1 array(‘d’) with bounds (k)
  Returns:
    q rank-2 array(‘d’) with bounds (m,n) and a storage
    work rank-1 array(‘d’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    lwork input int, optional

      Default: max(3*m,1)